"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    var desc = Object.getOwnPropertyDescriptor(m, k);
    if (!desc || ("get" in desc ? !m.__esModule : desc.writable || desc.configurable)) {
      desc = { enumerable: true, get: function() { return m[k]; } };
    }
    Object.defineProperty(o, k2, desc);
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || (function () {
    var ownKeys = function(o) {
        ownKeys = Object.getOwnPropertyNames || function (o) {
            var ar = [];
            for (var k in o) if (Object.prototype.hasOwnProperty.call(o, k)) ar[ar.length] = k;
            return ar;
        };
        return ownKeys(o);
    };
    return function (mod) {
        if (mod && mod.__esModule) return mod;
        var result = {};
        if (mod != null) for (var k = ownKeys(mod), i = 0; i < k.length; i++) if (k[i] !== "default") __createBinding(result, mod, k[i]);
        __setModuleDefault(result, mod);
        return result;
    };
})();
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
const index_js_1 = __importDefault(require("./../loger/index.js"));
const path_1 = __importDefault(require("path"));
const fs = __importStar(require("fs/promises"));
let dirname = '';
let cache = null;
module.exports = async function Uninstall(packName, dirname_) {
    dirname = dirname_;
    try {
        const cache = await (require('./getResConfig.js'))();
        const mods = cache.get('Mod');
        let find = false;
        for (let [index, item] of mods.entries()) {
            if (item.name !== packName || item.git === 'inner')
                continue;
            mods.splice(index, 1);
            find = true;
            // 删除依赖
            await fs.rm(path_1.default.join(dirname, 'lib/modules', item.name), {
                recursive: true,
                force: true
            });
            break;
        }
        if (!find)
            throw new Error('未安装此包');
    }
    catch (err) {
        index_js_1.default.e('uninstall', err.message);
    }
};
